module Spoll::Models
  class Event < Base
    attr_accessor :event_type, :match

    attribute :minute, Integer
    attribute :comments_count, Integer
    attribute :agrees, Integer
    attribute :disagrees, Integer
    attribute :event_type_id, Integer
    attribute :match_id, Integer

    def set_relations(response)
      set_relation(:event_type, response.event_types, 'id', :event_type_id)
      set_relation(:match, response.matches, 'id', :match_id)
    end
  end
end
