module Spoll::Models
  class Match < Base
    attr_accessor :events, :home_team, :away_team

    attribute :start_time, DateTime
    attribute :status, String
    attribute :home_team_id, Integer
    attribute :away_team_id, Integer

    def set_relations(response)
      set_array_relation(:events, response.events, 'match_id', :id)
      set_relation(:home_team, response.teams, 'id', :home_team_id)
      set_relation(:away_team, response.teams, 'id', :away_team_id)
    end

  end
end
